LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 04-09-2010, 10:23 AM   #1
redir
Member
 
Registered: May 2004
Location: Virginia USA
Distribution: Debian_Ubuntu_FreeBSD
Posts: 110

Rep: Reputation: 15
Cannot deinstal or reinstall prot/package. Error: An older version already exists


I am trying to install the apr port on freeBSD and I get the following error:

Code:
===>  Checking if devel/apr already installed
===>   An older version of devel/apr is already installed (apr-db42-1.2.8_2)
      You may wish to ``make deinstall'' and install this port again
      by ``make reinstall'' to upgrade it properly.
      If you really wish to overwrite the old port of devel/apr
      without deleting it first, set the variable "FORCE_PKG_REGISTER"
      in your environment or the "make install" command line.
*** Error code 1
So then I try to do what it says and deinstall the port:

Code:
toblocal# make deinstall clean
===>  Deinstalling for devel/apr
===>  Cleaning for apr-ipv6-gdbm-db42-mysql-1.3.9.1.3.9_1
toblocal#
So that looks good now I will try to reinstall it, and it does a lot of work which finally ends in:
Code:
===>   An older version of devel/apr is already installed (apr-db42-1.2.8_2)
      You may wish to ``make deinstall'' and install this port again
      by ``make reinstall'' to upgrade it properly.
      If you really wish to overwrite the old port of devel/apr
      without deleting it first, set the variable "FORCE_PKG_REGISTER"
      in your environment or the "make install" command line.
*** Error code 1
It's like an endless loop. Any suggestions?

Thanks in advance.
 
Old 04-09-2010, 11:36 AM   #2
redir
Member
 
Registered: May 2004
Location: Virginia USA
Distribution: Debian_Ubuntu_FreeBSD
Posts: 110

Original Poster
Rep: Reputation: 15
Ok I found the solution was to just run portupgrade -R <packagename> not sure I why I got in that loop but so be it.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Install an older version of a package using apt-get asookazian Linux - Newbie 1 03-28-2010 05:25 AM
Reinstall older version libncurses corgi Debian 4 10-17-2006 03:31 PM
Debian package wants an older version of a library Scorper Debian 3 05-14-2006 11:00 PM
older and newer version of a package at the same time Ayman.mashal Linux - Newbie 1 07-29-2005 11:05 PM
how to install an older version of a package... haora Linux - Newbie 1 05-27-2005 10:48 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 05:01 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration